# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Declare-Constraints-Simple
Version:	0.03
Release:	51.%{__distinit}%{__distvers}
Summary:	Declarative Validation of Data Structures
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Declare-Constraints-Simple
Source0:	https://cpan.metacpan.org/authors/id/P/PH/PHAYLON/Declare-Constraints-Simple-%{version}.tar.gz
Patch0:		Declare-Constraints-Simple-0.03-Fix-building-on-Perl-without-dot-in-INC.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
# Dependencies of bundled Module::Install
BuildRequires:	perl(Config)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(ExtUtils::Manifest)
BuildRequires:	perl(ExtUtils::MM_Unix)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(YAML)
# Module Runtime
BuildRequires:	perl(aliased)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp::Clan)
BuildRequires:	perl(Class::Inspector)
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util) >= 1.14
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# Filter unwanted Requires
%global __requires_exclude ^perl\\(Declare::Constraints::Simple-Library\\)

%description
The main purpose of this module is to provide an easy way to build a
profile to validate a data structure. It does this by giving you a set of
declarative keywords in the importing namespace.

%prep
%setup -q -n Declare-Constraints-Simple-%{version}

# Fix building on Perls without '.' in @INC (CPAN RT#121709)
%patch -P 0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README t/
%{perl_vendorlib}/Declare/
%{_mandir}/man3/Declare::Constraints::Simple.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Array.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Base.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Exportable.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::General.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Hash.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Numerical.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::OO.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Operators.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Referencial.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Scalar.3*
%{_mandir}/man3/Declare::Constraints::Simple::Result.3*

%changelog
* Wed Mar 22 2023 Paul Howarth <paul@city-fan.org> - 0.03-51
- Use SPDX-format license tag
- Drop support for building with rpm < 4.9
- Avoid deprecated patch syntax

* Sun Jun  9 2019 Paul Howarth <paul@city-fan.org> - 0.03-38
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl

* Wed Jun 14 2017 Paul Howarth <paul@city-fan.org> - 0.03-31
- Fix building on Perls without '.' in @INC
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Aug  1 2016 Paul Howarth <paul@city-fan.org> - 0.03-28
- Fix FTBFS when perl is not in the minimal buildroot
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Jan 27 2016 Paul Howarth <paul@city-fan.org> - 0.03-25
- Spec clean-up
  - Classify buildreqs by usage
  - Prefer %%global over %%define

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 0.03-22
- Drop %%defattr, redundant since rpm 4.4

* Tue Jul 10 2012 Paul Howarth <paul@city-fan.org> - 0.03-16
- BR: perl(base), perl(Cwd), perl(File::Path) and perl(File::Spec)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Jun 23 2011 Paul Howarth <paul@city-fan.org> - 0.03-13
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Sun Feb 13 2011 Paul Howarth <paul@city-fan.org> - 0.03-12
- Fix dependency filter for rpm 4.9 onwards

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.03-9
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> - 0.03-8
- Fix dist tag for RHEL-6 Beta

* Mon Feb  1 2010 Paul Howarth <paul@city-fan.org> - 0.03-7
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-6
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.03-3
- Rebuild for new perl

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.03-2
- Bump

* Tue May 01 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.03-1
- Specfile autogenerated by cpanspec 1.71
